"500 - JHtmlBehavior: :formvalidator not supported" error after registration

General questions relating to Joomla! 2.5. Note: All 1.6 and 1.7 releases have reached end of life and should be updated to 2.5. There are other boards for more specific help on Joomla! features and extensions.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting.
Forum Post Assistant - If you are serious about wanting help, you should use this tool to help you post.
Post Reply
mojtabapordel
Joomla! Apprentice
Joomla! Apprentice
Posts: 22
Joined: Mon Aug 09, 2010 7:08 am

"500 - JHtmlBehavior: :formvalidator not supported" error after registration

Post by mojtabapordel » Thu Jan 24, 2019 7:10 pm

Hi
In my Joomla 2.5.28 site, after filling registration form and click submit button, it redirects to this page:

http://my_site_url/component/users/?view=login

and display this error:

500 - JHtmlBehavior: :formvalidator not supported.

How can I fix it?

My Site Registration Page is:

http://www.shahnoushi.ir/component/user ... gistration

Thank you

mojtabapordel
Joomla! Apprentice
Joomla! Apprentice
Posts: 22
Joined: Mon Aug 09, 2010 7:08 am

Re: "500 - JHtmlBehavior: :formvalidator not supported" error after registration

Post by mojtabapordel » Wed Nov 13, 2019 9:00 am

Any solution Please?

User avatar
Rondeb
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 142
Joined: Mon Dec 02, 2013 12:14 pm
Location: Meschede - Germany
Contact:

Re: "500 - JHtmlBehavior: :formvalidator not supported" error after registration

Post by Rondeb » Wed Nov 13, 2019 11:44 am

Try using a different template and see if the problem still exists.

Greatings Ron

mojtabapordel
Joomla! Apprentice
Joomla! Apprentice
Posts: 22
Joined: Mon Aug 09, 2010 7:08 am

Re: "500 - JHtmlBehavior: :formvalidator not supported" error after registration

Post by mojtabapordel » Sat Nov 16, 2019 10:08 am

Rondeb wrote:
Wed Nov 13, 2019 11:44 am
Try using a different template and see if the problem still exists.

Greatings Ron
Thank you
No, just this current template
And this is a new issue
Before, there was not such a problem and error with this template.

User avatar
AMurray
Joomla! Champion
Joomla! Champion
Posts: 5118
Joined: Sat Feb 13, 2010 7:35 am
Location: Australia

Re: "500 - JHtmlBehavior: :formvalidator not supported" error after registration

Post by AMurray » Tue Nov 19, 2019 8:50 am

It would be my advice to simply upgrade to Joomla 3.9.13 - the current version. 2.5.x has not been supported for 4 years.

This could be a number of things, including out of date extensions or template, or indeed more to the point out of date Joomla.

Please ensure all your extensions (where available are current)

Please run the FPA report and provide the results as instructed here: https://forumpostassistant.github.io/docs/
Regards,
--------------------------------------------------------------
A Murray
Millennium Falcon - it's the ship that made the Kessel run in less than 12 parsecs! The fastest hunk of junk in the galaxy.

mojtabapordel
Joomla! Apprentice
Joomla! Apprentice
Posts: 22
Joined: Mon Aug 09, 2010 7:08 am

Re: "500 - JHtmlBehavior: :formvalidator not supported" error after registration

Post by mojtabapordel » Sat Nov 23, 2019 4:01 am

AMurray wrote:
Tue Nov 19, 2019 8:50 am
It would be my advice to simply upgrade to Joomla 3.9.13 - the current version. 2.5.x has not been supported for 4 years.

This could be a number of things, including out of date extensions or template, or indeed more to the point out of date Joomla.

Please ensure all your extensions (where available are current)

Please run the FPA report and provide the results as instructed here: https://forumpostassistant.github.io/docs/
Thank you
I'm waiting for Joomla 4 release.

User avatar
AMurray
Joomla! Champion
Joomla! Champion
Posts: 5118
Joined: Sat Feb 13, 2010 7:35 am
Location: Australia

Re: "500 - JHtmlBehavior: :formvalidator not supported" error after registration

Post by AMurray » Sat Nov 23, 2019 7:42 am

I wouldn't wait for 4.0 - its stable release schedule is not yet known.

In the mean time you're using an unsupported and vulnerable versions that is susceptible to hacks and all that stuff. I'm guessing you won't have that error you have asked about with Joomla 3.9.13.
Regards,
--------------------------------------------------------------
A Murray
Millennium Falcon - it's the ship that made the Kessel run in less than 12 parsecs! The fastest hunk of junk in the galaxy.


Post Reply

Return to “General Questions/New to Joomla! 2.5”